org.springframework.web.socket.adapter.standard

## Class ConvertingEncoderDecoderSupport.TextDecoder<T>

- java.lang.Object
- - org.springframework.web.socket.adapter.standard.ConvertingEncoderDecoderSupport<T,String>
  - - org.springframework.web.socket.adapter.standard.ConvertingEncoderDecoderSupport.TextDecoder<T>

- Type Parameters:
    `T` - the type that this Decoder can convert from
  All Implemented Interfaces:
    javax.websocket.Decoder, javax.websocket.Decoder.Text<T>
  Enclosing class:
    ConvertingEncoderDecoderSupport<T,M>

      public abstract static class ConvertingEncoderDecoderSupport.TextDecoder<T>
      extends ConvertingEncoderDecoderSupport<T,String>
      implements javax.websocket.Decoder.Text<T>

  A Text `javax.websocket.Encoder` that delegates to Spring's conversion service. See `ConvertingEncoderDecoderSupport` for details.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.springframework.web.socket.adapter.standard.ConvertingEncoderDecoderSupport

      `ConvertingEncoderDecoderSupport.BinaryDecoder<T>, ConvertingEncoderDecoderSupport.BinaryEncoder<T>, ConvertingEncoderDecoderSupport.TextDecoder<T>, ConvertingEncoderDecoderSupport.TextEncoder<T>`

    - ### Nested classes/interfaces inherited from interface javax.websocket.Decoder

      `javax.websocket.Decoder.Binary<T>, javax.websocket.Decoder.BinaryStream<T>, javax.websocket.Decoder.Text<T>, javax.websocket.Decoder.TextStream<T>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextDecoder()`

  - ### Method Summary

    - ### Methods inherited from class org.springframework.web.socket.adapter.standard.ConvertingEncoderDecoderSupport

      `decode, destroy, encode, getApplicationContext, getConversionService, getMessageType, getType, init, willDecode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.websocket.Decoder.Text

      `decode, willDecode`

    - ### Methods inherited from interface javax.websocket.Decoder

      `destroy, init`

- - ### Constructor Detail

    - #### TextDecoder

          public TextDecoder()